Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class Version28Upgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
          com.atlassian.bamboo.upgrader.Version28Upgrader

All Implemented Interfaces:
  Upgrader

    public class Version28Upgrader

extends AbstractBuildUpgrader

Upgrades the Builder definition to use key value pairs

Nested Class Summary
`class` | `Version28Upgrader.MigratedBuild`
`class` | `Version28Upgrader.OriginalBuild`

Field Summary
`static String` | `PLUGIN_KEY_PREFIX`

Constructor Summary
`Version28Upgrader(File buildDirectory)`

Method Summary
`Version28Upgrader.MigratedBuild` | `convertOldBuildToNewBuild(Version28Upgrader.OriginalBuild oldBuild)`
`Version28Upgrader.OriginalBuild` | `readInTheOldBuildFile(File buildFile)`
`void` | `saveModifiedBuild(File buildFile, Version28Upgrader.MigratedBuild build)`
`protected void` | `updateBuildFile(File buildFile)`

Methods inherited from class com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
`getBuildDirectory, getXStreamPersister, readInTheBuildFile, readInTheBuildFile, saveBuildBackToFile, upgrade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_KEY_PREFIX

    public static final String PLUGIN_KEY_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Version28Upgrader

    public Version28Upgrader(File buildDirectory)

Method Detail

### updateBuildFile

    protected void updateBuildFile(File buildFile)

  Specified by:
    `updateBuildFile` in class `AbstractBuildUpgrader`

### convertOldBuildToNewBuild

    public Version28Upgrader.MigratedBuild convertOldBuildToNewBuild(Version28Upgrader.OriginalBuild oldBuild)

### readInTheOldBuildFile

    public Version28Upgrader.OriginalBuild readInTheOldBuildFile(File buildFile)
                                                          throws IOException

  Throws:
    `IOException`

### saveModifiedBuild

    public void saveModifiedBuild(File buildFile,
                                  Version28Upgrader.MigratedBuild build)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.